<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'contact',

    /*
     * Modules.
     */
    'modules'   => ['contacts'],

    
    'contacts'       => [
        'model' => [
            'model'                 => \Bixo\Contact\Models\Contacts::class,
            'table'                 => 'contacts',
            'presenter'             => \Bixo\Contact\Repositories\Presenter\ContactsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'first_name',  'last_name',  'dob',  'nationality',  'religion',  'assigned_to',  'phone',  'mobile',  'fax',  'email',  'address_line1',  'address_line2',  'zipcode',  'city',  'state',  'country',  'company',  'company_website',  'designation',  'facebook',  'twitter',  'linkedin',  'documents',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'contact/contacts',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Contact',
            'module'    => 'Contacts',
        ],

    ],
];
