<?php

namespace Bixo\Contact;

use User;

class Contact
{
    /**
     * $contacts object.
     */
    protected $contacts;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Contact\Interfaces\ContactsRepositoryInterface $contacts)
    {
        $this->contacts = $contacts;
    }

    /**
     * Returns count of contact.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.contacts.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->contacts->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\ContactsUserCriteria());
        }

        $contacts = $this->contacts->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('contact::' . $view, compact('contacts'))->render();
    }
}
