<?php

namespace Bixo\Contact\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ContactsTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Contact\Models\Contacts $contacts)
    {
        return [
            'id'                => $contacts->getRouteKey(),
            'key'               => [
                'public'    => $contacts->getPublicKey(),
                'route'     => $contacts->getRouteKey(),
            ], 
            'title'             => $contacts->title,
            'first_name'        => $contacts->first_name,
            'last_name'         => $contacts->last_name,
            'dob'               => $contacts->dob,
            'nationality'       => $contacts->nationality,
            'religion'          => $contacts->religion,
            'assigned_to'       => $contacts->assigned_to,
            'phone'             => $contacts->phone,
            'mobile'            => $contacts->mobile,
            'fax'               => $contacts->fax,
            'email'             => $contacts->email,
            'address_line1'     => $contacts->address_line1,
            'address_line2'     => $contacts->address_line2,
            'zipcode'           => $contacts->zipcode,
            'city'              => $contacts->city,
            'state'             => $contacts->state,
            'country'           => $contacts->country,
            'company'           => $contacts->company,
            'company_website'   => $contacts->company_website,
            'designation'       => $contacts->designation,
            'facebook'          => $contacts->facebook,
            'twitter'           => $contacts->twitter,
            'linkedin'          => $contacts->linkedin,
            'documents'         => $contacts->documents,
            'deleted_at'        => $contacts->deleted_at,
            'url'               => [
                'public'    => trans_url('contact/'.$contacts->getPublicKey()),
                'user'      => guard_url('contact/contacts/'.$contacts->getRouteKey()),
            ], 
            'status'            => trans('app.'.$contacts->status),
            'created_at'        => format_date($contacts->created_at),
            'updated_at'        => format_date($contacts->updated_at),
        ];
    }
}